routes/admin.php
<?php

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Guest area
Route::get('', 'Admin\AuthController@loginForm');
Route::get('login', 'Admin\AuthController@loginForm')->name('admin.login.index');
Route::post('login', 'Admin\AuthController@login')->name('admin.do-login');

// Reset  password
Route::get('/forgot-password', 'Admin\ForgotPasswordController@showLinkRequestForm')->name('admin.forgot-password.index');
Route::post('/forgot-password/email', 'Admin\ForgotPasswordController@sendResetLinkEmail')->name('admin.forgot-password.action');
Route::get('/reset-password/{token}', 'Admin\ResetPasswordController@showResetForm')->name('admin.reset-password.index');
Route::post('/reset-password', 'Admin\ResetPasswordController@reset')->name('admin.reset-password.action');
Route::get('/delete/{id}','Admin\AdminAccountController@DeleteStaff')->name('admin.staff.delete');
Route::get('/settings','Admin\SettingController@index')->name('settings.index');
Route::post('/settings','Admin\SettingController@store')->name('settings.store');
// Hotel admin area
Route::group(['middleware' => 'admin'], function () {
    Route::get('logout', 'Admin\AuthController@logout')->name('admin.logout.index');
    Route::get('dashboard', 'Admin\DashboardController@index')->name('admin.dashboard.index');

    Route::resource('hotels', 'Admin\HotelController', [
        'as' => 'admin',
        'only' => ['index', 'show', 'update', 'create', 'store']
    ]);
    Route::get('/deletehotel/{id}','Admin\HotelController@destroy')->name('admin.hotel.destroy');
    Route::resource('hotel-features', 'Admin\HotelFeatureController', [
        'as' => 'admin',
        'only' => ['update']
    ]);

    // Datatables
    Route::group(['prefix' => 'data-tables'], function () {
        Route::get('hotels', 'Admin\HotelController@indexDataTable')->name('data-tables.admin.hotels');
    });

    Route::get('/staff','Admin\AdminAccountController@index')->name('staff.index');
    Route::post('/staff','Admin\AdminAccountController@create')->name('staff.create');

    // Ajax
    Route::group(['prefix' => 'ajax'], function () {
        Route::get('hotel-features', 'Admin\HotelFeatureController@ajaxGetHotelFeatures')->name('ajax.admin.hotel-features.index');
        Route::put('hotel-features/{hotel}', 'Admin\HotelFeatureController@ajaxUpdateHotelFeature')->name('ajax.admin.hotel-features.update');
    });

});

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('', function () {
    return view('welcome', [
        'title' => 'Web ' . env('APP_NAME') . 'Testing'
    ]);
});

app/Http/Controllers/Cms/AppearanceController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\MobileHotelTheme;
use App\Models\MobileHotelLayout;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AppearanceController extends Controller
{
    public function index()
    {
        $hotel = auth('hotel')->user();
        $mobileHotelThemes = MobileHotelTheme::all();
        $mobileHotelLayout = MobileHotelLayout::where(function ($query) use ($hotel) {
            $query->where('hotel_id', '=', $hotel->id)
          ->orWhere('hotel_id', '=', 0);
        })->get();


        return view('cms.appearance.index', [
            'hotel' => $hotel,
            'mobileHotelThemes' => $mobileHotelThemes,
            'mobileHotelLayouts'=>$mobileHotelLayout
        ]);
    }
}

app/Http/Controllers/Cms/AuthController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Http\Requests\LoginAdminRequest;
use App\Http\Requests\LoginHotelAdminRequest;
use App\Models\Admin;
use App\Http\Controllers\Controller;
use App\Models\Hotel;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Hotel_Staff;
use App\Models\User;

class AuthController extends Controller
{
    public function loginForm()
    {
        if (auth('hotel')->check()) {
            return redirect()->route('cms.dashboard.index');
        }
        $for = "hotel_admin";
        if (\Request::route()->getName() === "cms.staff_login.index") {
            $for = "hotel_staff";
        }
        return view('cms.auth.login.index', [
            'for' => $for]);
        return view('cms.auth.login.index');
    }

    public function login(LoginHotelAdminRequest $request)
    {
        // check hotel membership expired or not
        $hotels = Hotel::where('expired_at', '<=', Carbon::now())->get();

        foreach ($hotels as $key => $hotel) {
            $hotel->is_active = 0;
            $hotel->save();
        }
        //

        $credentials = [
            'email' => $request->email,
            'password' => $request->password,
        ];

        if (Auth::guard('hotel')->attempt($credentials)) {
            $hotel=Hotel::where('id', Auth::guard('hotel')->user()->id)->first();
            return redirect()->route('cms.dashboard.index');
        }

        return Redirect::back()->withInput()->with('error', 'Incorrect credentials!.');
    }

    public function staff_login(Request $request)
    {
        $hotels = Hotel::where('expired_at', '<=', Carbon::now())->get();

        foreach ($hotels as $key => $hotel) {
            $hotel->is_active = 0;
            $hotel->save();
        }
        
        $email = $request->input('email');
        $password = $request->input('password');
        $validUser = Hotel_Staff::where([['email','=',$email],['password','=',$password]])->first();
        
        //dd(DB::getQueryLog()); // Show results of log
        if (!$validUser) {
            return Redirect::back()->withInput()->with('error', 'Incorrect credentials!.');
        }
        $hotel_account = Hotel::where('id', $validUser->hotel_id)->first();
        Auth::guard('hotel')->login($hotel_account);
        Auth::guard('hotel_staff')->login($validUser);
        return redirect()->route('cms.dashboard.index');
    }

    public function logout()
    {
        Auth::guard('hotel')->logout();
        if (auth('hotel_staff')->user()) {
            Auth::guard('hotel_staff')->logout();
        }
        return redirect()->route('cms.login.index');
    }
}

app/Http/Controllers/Cms/BillController.php
<?php

namespace App\Http\Controllers\Cms;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Hotel;
use App\Models\HotelFeature;
use App\Models\Restaurant;
use App\Models\Spa;
use Srmklive\PayPal\Services\ExpressCheckout;
use Carbon\Carbon;
use App\Models\RestaurantRoomService;
use App\Models\RoomCleaningOrder;
use Illuminate\Support\Facades\DB;


class BillController extends Controller
{

    public function index($booking_id){
        $key = "hotel_booking_id";
        $sum = 0.0;

        //$restaurant_room_services = RestaurantRoomService::where([[$key,'=',$book_id],['status','=','confirmed']])->get();
        //$sum += $restaurant_room_services->sum('total_price');
        $data = DB::select(DB::raw("select rds.price, rds.qty,rd.name from restaurant_room_services rrs 
                                    inner join restaurant_dish_restaurant_room_service rds on rrs.id = rds.restaurant_room_service_id
                                    inner join restaurant_dishes rd on rds.restaurant_dish_id = rd.id
                                    where rrs.hotel_booking_id = ".$booking_id));
        $hotel_settings = Hotel::where('id', auth('hotel')->user()->id)->first();
        
        $currency = $hotel_settings['currency'];
        $vat = $hotel_settings['vat'];
        $service_charges = $hotel_settings['service_charges'];

        return array(
            'data' => $data,
            'currency' => $currency,
            'vat' => $vat,
            'service_charges' => $service_charges
        );

    }

}

app/Http/Controllers/Cms/CheckoutController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\HotelBooking;
use App\Services\HotelBookingService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CheckoutController extends Controller
{
    private $hotelBookingService;

    public function __construct(HotelBookingService $hotelBookingService)
    {
        $this->hotelBookingService = $hotelBookingService;
    }

    public function index()
    {
        return view('cms.checkout.index');
    }

    public function update(Request $request)
    {
        $hotelBookingId = $request->get('hotelBookingId', 0);
        $hotelBooking = HotelBooking::findOrFail($hotelBookingId);

        switch ($request->get('updateType', 'update')) {
            case 'checkout':
                $this->hotelBookingService->update($hotelBooking, [
                    'status' => 'checked_out',
                ]);
                return redirect()->route('cms.checkouts.index')->with('success', 'Checkout guest success.');
                break;
            case 'lateCheckout':
                $this->hotelBookingService->update($hotelBooking, [
                    'late_check_out' => $request->get('statusLateCheckout'),
                ]);
                return redirect()->route('cms.checkouts.index')->with('success', 'Late checkout guest success.');
                break;
            default:
        }
    }
}

app/Http/Controllers/Cms/ConciergeController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\ConciergeService;
use App\Models\ConciergeServiceRequest;
use App\Models\LaundryOrder;
// use App\Models\LaundaryServiceRequest;
use App\Models\RoomCleaningOrder;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\LaundaryService;
use App\Models\Hotel;

class ConciergeController extends Controller
{
    public function index()
    {
        $conciergeServicePendingRequests = ConciergeServiceRequest::where('status', 'pending')
            ->whereHas('hotelBooking', function (Builder $query) {
                $query->where('hotel_id', auth('hotel')->user()->id);
            })
            ->with([
                'conciergeServices',
                'hotelBooking'
            ])
            ->orderBy('id', 'asc')
            ->get();
        $conciergeServicePastRequests = ConciergeServiceRequest::whereIn('status', ['rejected','cancelled','done'])
            ->whereHas('hotelBooking', function (Builder $query) {
                $query->where('hotel_id', auth('hotel')->user()->id);
            })
            ->with([
                'conciergeServices',
                'hotelBooking'
            ])
            ->orderBy('id', 'desc')
            ->get();

        $roomCleaningRequests = RoomCleaningOrder::whereHas('hotelBooking', function (Builder $query) {
            $query->where('hotel_id', auth('hotel')->user()->id);
        })
            ->with([
                'hotelBooking'
            ])
            ->orderBy('updated_at', 'asc')
            ->get();

        $laundryRequests = LaundryOrder::whereHas('hotelBooking', function (Builder $query) {
            $query->where('hotel_id', auth('hotel')->user()->id);
        })
            ->where('status', 'pending')
            ->with([
                'hotelBooking',
                    // 'laundaryServices',
            ])
            ->orderBy('updated_at', 'asc')
            ->get();

        return view('cms.concierge.index', [
            'conciergeServicePendingRequests' => $conciergeServicePendingRequests,
            'conciergeServicePastRequests' => $conciergeServicePastRequests,
            'roomCleaningRequests' => $roomCleaningRequests,
            'laundryRequests' => $laundryRequests,
        ]);
    }

    public function store(Request $request)
    {
        $name = $request->get('name', '-');
        ConciergeService::create([
            'hotel_id' => auth('hotel')->user()->id,
            'name' => $name == null ? '-' : $name,
            'description' => $request->get('description'),
        ]);

        return redirect()->route('cms.concierge-menus.index')->with('success', 'Add concierge success.');
    }
    public function insertLaundary(Request $request)
    {
        $name = $request->get('name', '-');
        LaundaryService::create([
            'hotel_id' => auth('hotel')->user()->id,
            'name' => $name == null ? '-' : $name,
            'description' => $request->get('description'),
              'price' => $request->get('price')
        ]);
        return redirect()->route('cms.laundary-menus.index')->with('success', 'Add laundary success.');
    }
    public function updateLaundary(Request $request)
    {
        LaundaryService::where('id', $request->get('concierge_service_id', 0))
            ->update([
                'name' => $request->get('nameUpdate', '-'),
                'description' => $request->get('descriptionUpdate'),
                'price'=>$request->get('priceUpdate')
            ]);
        return redirect()->route('cms.laundary-menus.index')->with('success', 'Update laundary service success.');
    }
    public function destroyLaundary(Request $request)
    {
        LaundaryService::where('id', $request->get('concierge_service_id', 0))
            ->delete();
        return redirect()->route('cms.laundary-menus.index')->with('success', 'Delete laundary service success.');
    }

    public function ajaxGetLaundaryServiceDetails(Request $request, $laundaryServiceId)
    {
        // Get details
        $conciergeService = LaundaryService::where('id', $laundaryServiceId)
            ->first();
        return [
            'status' => true,
            'conciergeService' => $conciergeService,
        ];
    }

    public function update(Request $request)
    {
        $a=  ConciergeService::where('id', $request->get('concierge_service_id', 0))
            ->update([
                'name' => $request->get('nameUpdate', '-'),
                'description' => $request->get('descriptionUpdate')
            ]);

        return redirect()->route('cms.concierge-menus.index')->with('success', 'Update concierge service success.');
    }

    public function destroy(Request $request)
    {
        ConciergeService::where('id', $request->get('concierge_service_id', 0))
            ->delete();

        return redirect()->route('cms.concierge-menus.index')->with('success', 'Delete concierge service success.');
    }

    public function ajaxGetConciergeService(Request $request)
    {
        return [
            'status' => true,
        ];
    }

    public function ajaxGetConciergeServiceDetails(Request $request, $conciergeServiceId)
    {
        // Get details
        $conciergeService = ConciergeService::where('id', $conciergeServiceId)
            ->first();

        return [
            'status' => true,
            'conciergeService' => $conciergeService,
        ];
    }

    public function ajaxGetConciergeServiceRequest(Request $request)
    {
        return [
            'status' => true,
        ];
    }

    public function ajaxGetConciergeServiceRequestDetails(Request $request, $conciergeServiceRequestId)
    {
        // Get details
        $conciergeServiceRequests = ConciergeServiceRequest::where('id', $conciergeServiceRequestId)
            ->with([
                'conciergeServices',
                'hotelBooking'
            ])
            ->first();

        return [
            'status' => true,
            'conciergeServiceRequest' => $conciergeServiceRequests,
        ];
    }

    public function showConciergeMenus(Request $request)
    {
        $conciergeServices = ConciergeService::where('hotel_id', auth('hotel')->user()->id)
            ->orderBy('id', 'desc')
            ->get();

        return view('cms.concierge.concierge-menu', [
            'conciergeServices' => $conciergeServices,

        ]);
    }
    public function showLaundaryMenus(Request $request)
    {
        $conciergeServices = LaundaryService::where('hotel_id', auth('hotel')->user()->id)
            ->orderBy('name', 'asc')
            ->get();
        $currency = Hotel::where('id', auth('hotel')->user()->id)->select('currency')->first()['currency'];
        return view('cms.concierge.laundary-menu', [
            'conciergeServices' => $conciergeServices,
            'currency' => $currency
        ]);
    }
}

app/Http/Controllers/Cms/ConciergeServiceRequestController.php
<?php

namespace App\Http\Controllers\Cms;

use App\Models\ConciergeServiceRequest;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ConciergeServiceRequestController extends Controller
{
    public function update(Request $request)
    {
        ConciergeServiceRequest::where('id', $request->get('concierge_service_request_id', 0))
            ->update([
                'status' => $request->get('status', 'done')
            ]);

        return redirect()->route('cms.concierges.index')->with('success', 'Success');
    }
}

resources/views/cms/paypal-ex/search-from-subscribe.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ __('Register hotel') }} - {{ env('APP_NAME') }}</title>

    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/custom-cms.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('horizontal-select/src/ui-choose.css') }}">
</head>
<body class="register-hotel-wrapper">
<div class="container-fluid p-0">
   <div class="header-nav-wrapper">
       <div class="icon-nav">
           <h1>Servr</h1>
       </div>
   </div>
    <div class="content-wrapper">
        <div class="row">
            <div class="col-md-5 content-left">
                <div class="card card-text">
                    <div class="card-body">
                        <p>
                            Start your trial and join free for a month now <i class="icon-arrow-right icons"></i>
                        </p>
                    </div>
                </div>

                <div class="card card-register">
                    <div class="card-body">
                        <form id="registerForm" class="form-horizontal" action="{{ route('subscribe.hotels.store') }}" method="post">
                            @csrf()
                            @method('post')
                            <input type="hidden" name="hotel_id" value="{{ old('hotel_id') ? old('hotel_id') : $hotel->id }}">

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="address1">Hotel Address Line 1:</label>
                                    <div class="input-group">
                                        <input class="form-control {{ $errors->has('address1') ? ' is-invalid' : '' }}" id="address1" type="text" name="address1" value="{{ old('address1') ? old('address1') : '' }}">
                                        @if ($errors->has('address1'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('address1') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="address2">Hotel Address Line 2:</label>
                                    <div class="input-group">
                                        <input class="form-control {{ $errors->has('address2') ? ' is-invalid' : '' }}" id="address2" type="text" name="address2" value="{{ old('address2') ? old('address2') : '' }}">
                                        @if ($errors->has('address2'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('address2') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="post_code">Hotel post code:</label>
                                    <div class="input-group">
                                        <input class="form-control {{ $errors->has('post_code') ? ' is-invalid' : '' }}" id="post_code" type="text" name="post_code" value="{{ old('post_code') ? old('post_code') : '' }}">
                                        @if ($errors->has('post_code'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('post_code') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="country">Country:</label>
                                    <div class="input-group">
                                        <input class="form-control {{ $errors->has('country') ? ' is-invalid' : '' }}" id="country" type="text" name="country" placeholder="To be used to login" value="{{ old('country') ? old('country') : '' }}">
                                        @if ($errors->has('country'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('country') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="room">Number of Rooms In The Hotel:</label>
                                    <div class="input-group">
                                        {{-- <input class="form-control {{ $errors->has('code') ? ' is-invalid' : '' }}" id="code" type="text" name="code" placeholder="To be used by guest to login" style="text-transform:uppercase" value="{{ old('code') ? old('code') : '' }}"> --}}
                                        <select class="ui-choose" id="demo" name="room">
                                          <option value="<20"> < 20 </option>
                                          <option value="20-40">20 - 49</option>
                                          <option value="50-99">50 - 99</option>
                                          <option value="100-299">100 - 299</option>
                                          <option value="300>">300 < </option>
                                        </select>
                                        @if ($errors->has('room'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('room') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12">
                                    <button class="btn btn-pill btn-block btn-primary" type="button" id="buttonRegister">{{ __('Submit') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-7 content-right">
                <div class="image-wrapper">
                    <img src="{{ asset('images/register_hotel/laptop_hd.png') }}" alt="device">
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('js/app.js') }}"></script>
<script>
    const url1 = '{!! route('cms.dashboard.index') !!}';
</script>
<script src="{{ asset('js/custom/cms/hotel.js') }}"></script></body>
<script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="{{ asset('horizontal-select/src/ui-choose.js') }}"></script>
<script type="text/javascript">
$('.ui-choose').ui_choose();
</script>
</html>

resources/views/cms/paypal-ex/subscribe-from-subscribe.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ __('Register hotel') }} - {{ env('APP_NAME') }}</title>

    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/custom-cms.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('horizontal-select/src/ui-choose.css') }}">
</head>
<body class="register-hotel-wrapper">
<div class="container-fluid p-0">
   <div class="header-nav-wrapper">
       <div class="icon-nav">
           <h1>Servr</h1>
       </div>
   </div>
    <div class="content-wrapper">
        <div class="row">
            <div class="col-md-5 content-left">
                <div class="card card-text">
                    <div class="card-body">
                        <p>
                            Start your trial and join free for a month now <i class="icon-arrow-right icons"></i>
                        </p>
                    </div>
                </div>

                <div class="card card-register">
                    <div class="card-body">
                        <form id="registerForm" class="form-horizontal" action="{{ route('subscribe.hotels.search') }}" method="post">
                            @csrf()
                            @method('post')

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label class="col-form-label" for="email">Hotel code:</label>
                                    <div class="input-group">
                                        <input class="form-control @if (session('not_found')) is-invalid @endif {{ $errors->has('code') ? ' is-invalid' : '' }}" id="code" type="text" name="code" placeholder="Hotel Code" style="text-transform:uppercase" value="{{ old('code') ? old('code') : '' }}">
                                        @if ($errors->has('code'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('code') }}</strong>
                                            </span>
                                        @endif
                                        @if (session('not_found'))
                                          <span class="invalid-feedback" role="alert">
                                              <strong>{{ session('not_found') }}</strong>
                                          </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12">
                                    <button class="btn btn-pill btn-block btn-primary" type="button" id="buttonRegister">{{ __('Submit') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-7 content-right">
                <div class="image-wrapper">
                    <img src="{{ asset('images/register_hotel/laptop_hd.png') }}" alt="device">
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('js/app.js') }}"></script>
<script>
    const url1 = '{!! route('cms.dashboard.index') !!}';
</script>
<script src="{{ asset('js/custom/cms/hotel.js') }}"></script></body>
<script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="{{ asset('horizontal-select/src/ui-choose.js') }}"></script>
<script type="text/javascript">
$('.ui-choose').ui_choose();
</script>
</html>